Commit dc193c9c authored by Rich Salz's avatar Rich Salz
Browse files

Move & split opensslconf.h.in



Move opensslconf.h.in to include/openssl.
Split off DES,BN,RC4 stuff into separate header file
templates in crypto/include/internal/*_conf.h.in

Reviewed-by: default avatarRichard Levitte <levitte@openssl.org>
parent 2dc4be51
Loading
Loading
Loading
Loading
+2 −1
Original line number Diff line number Diff line
@@ -42,7 +42,8 @@

# Auto generated headers
/crypto/buildinf.h
/crypto/opensslconf.h
/openssl/include/opensslconf.h
/crypto/include/internal/*_conf.h

# Auto generated assembly language source files
*.s
+17 −3
Original line number Diff line number Diff line
@@ -1413,10 +1413,24 @@ print "RANLIB =$target{ranlib}\n";
print "ARFLAGS       =$target{arflags}\n";
print "PERL          =$config{perl}\n";

system("$config{perl} -I. -Mconfigdata util/dofile.pl < crypto/opensslconf.h.in > include/openssl/opensslconf.h.new");
sub
run_dofile()
{
    my $in = shift;
    my $out = shift;

    # should we remove $out ?
    system("$config{perl} -I. -Mconfigdata util/dofile.pl <$in >$out.new");
    exit 1 if $? != 0;
rename("include/openssl/opensslconf.h.new","include/openssl/opensslconf.h") || die "unable to rename include/openssl/opensslconf.h.new\n";
    rename("$out.new", $out) || die "Can't rename $out.new, $!";
}

&run_dofile("include/openssl/opensslconf.h.in", "include/openssl/opensslconf.h");

foreach my $alg ( 'bf', 'bn', 'des', 'rc4' ) {
    &run_dofile("crypto/include/internal/${alg}_conf.h.in",
        "crypto/include/internal/${alg}_conf.h");
}

# Fix the date

+2 −1
Original line number Diff line number Diff line
@@ -58,7 +58,8 @@

#ifndef HEADER_BF_LOCL_H
# define HEADER_BF_LOCL_H
# include <openssl/opensslconf.h>/* BF_PTR, BF_PTR2 */
# include <openssl/opensslconf.h>
# include "internal/bf_conf.h"

# undef c2l
# define c2l(c,l)        (l =((unsigned long)(*((c)++)))    , \
+1 −0
Original line number Diff line number Diff line
@@ -112,6 +112,7 @@
#ifndef HEADER_BN_LCL_H
# define HEADER_BN_LCL_H

# include "internal/bn_conf.h"
# include "internal/bn_int.h"

#ifdef  __cplusplus
+2 −0
Original line number Diff line number Diff line
@@ -61,6 +61,8 @@

# include <openssl/e_os2.h>

# include "internal/des_conf.h"

# if defined(OPENSSL_SYS_WIN32)
#  ifndef OPENSSL_SYS_MSDOS
#   define OPENSSL_SYS_MSDOS
Loading